Bug 745993 - Review Request: rubygem-useragent - HTTP User Agent parser
Summary: Review Request: rubygem-useragent - HTTP User Agent parser
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-13 15:23 UTC by Martyn Taylor
Modified: 2015-07-02 09:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-02 09:46:54 UTC
Type: ---
bkabrda: fedora-review?


Attachments (Terms of Use)

Description Martyn Taylor 2011-10-13 15:23:21 UTC
Spec URL: http://martyntaylor.fedorapeople.org/rubygem-useragent.spec
SRPM URL: http://martyntaylor.fedorapeople.org/rubygem-useragent-0.4.4-1.fc15.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3428588

Description: UserAgent is a Ruby library that parses and compares HTTP User Agents.

Comment 1 Bohuslav "Slavek" Kabrda 2011-10-14 10:22:52 UTC
I'm taking this one.

Comment 2 Bohuslav "Slavek" Kabrda 2011-10-14 10:36:01 UTC
- You should run tests/specs it upstream has them. Download them from upstream (https://github.com/josh/useragent), make another source of them and use them. You can look at [1] for an example of how this can be done.
- It is not necessary to include license both in the main package and in the doc subpackage, since the doc subpackage Requires the main one (and thus can only be present if the main one is). I would recommend leaving the LICENSE file just in the main package.


[1] http://bkabrda.fedorapeople.org/bson_ext/rubygem-bson_ext.spec

Comment 3 Bohuslav "Slavek" Kabrda 2012-08-03 10:55:54 UTC
Martyn, is this still active?

Comment 4 Bohuslav "Slavek" Kabrda 2015-07-02 09:46:54 UTC
Since there seems to be no progress here, I'm closing this bug. Feel free to reopen if you wish to restart the review.


Note You need to log in before you can comment on or make changes to this bug.